> ## Documentation Index
> Fetch the complete documentation index at: https://developers.myhero.so/llms.txt
> Use this file to discover all available pages before exploring further.

# Invite users to documents

> Invites one or more users by `emails` to one or more `documentIds` at the specified `role`.

Returns counts of invitations sent, documents invited, and users invited.



## OpenAPI

````yaml post /document/invite-users
openapi: 3.1.0
info:
  title: HERO API
  version: current
  description: |-
    The HERO REST API.

    See https://developers.myhero.so for the rendered docs.
servers:
  - url: https://app.myhero.so
security: []
paths:
  /document/invite-users:
    post:
      tags:
        - Documents
      summary: Invite users to documents
      description: >-
        Invites one or more users by `emails` to one or more `documentIds` at
        the specified `role`.


        Returns counts of invitations sent, documents invited, and users
        invited.
      operationId: inviteUsersToDocuments
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                documentIds:
                  type: array
                  items:
                    type: string
                    minLength: 1
                  minItems: 1
                emails:
                  type: array
                  items:
                    type: string
                    format: email
                  minItems: 1
                role:
                  type: string
                  enum:
                    - owner
                    - admin
                    - member
                    - editor
                    - viewer
              required:
                - documentIds
                - emails
                - role
      responses:
        '200':
          description: 200 response
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      invitationsSent:
                        type: number
                      documentsInvited:
                        type: number
                      usersInvited:
                        type: number
                    required:
                      - invitationsSent
                      - documentsInvited
                      - usersInvited
                required:
                  - data
        '400':
          description: 400 response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: |-
                      Error class name (e.g.

                      ValidationError, NotFound)
                  message:
                    type: string
                    description: Human-readable error message
                  details:
                    type: array
                    items: {}
                required:
                  - error
                  - message
        '403':
          description: 403 response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: |-
                      Error class name (e.g.

                      ValidationError, NotFound)
                  message:
                    type: string
                    description: Human-readable error message
                  details:
                    type: array
                    items: {}
                required:
                  - error
                  - message
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: HERO personal access token

````